Subject: Re: bug#33939: 26.1; Avoid loading libs eagerly or unnecessarily in mhtml-mode/sgml-mode
From: Leo Liu <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Mon, 07 Jan 2019 07:39:11 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed in 26.2.

On 2019-01-06 17:25 +0200, Eli Zaretskii wrote:
> OK.  Would you be okay with doing only the first of these,
> i.e. avoiding to load flyspell, on the emacs-26 branch?  Or is the use
> of seq.el still slowing down the load significantly?

Sounds good. I just did that which shaves off ~100ms.

(require 'mhtml-mode) takes ~1.5 seconds on my machine. I think the bulk
of the time is spent loading js.el which loads cc-mode but delay loading
js is trickier so I'll leave it off for now.

Thanks for reviewing the bug.

Leo